#include <stdio.h>
#include <malloc.h>

int main()
{
    int *nizKarata;
    int n, K;

    scanf("%d %d", &n, &K);

    nizKarata = (int*)calloc(n,sizeof(int));

    for (int i = 0; i < n; ++i)
    {
        scanf("%d", &nizKarata[i]);
    }

    int PozicijaKarte;

    for (PozicijaKarte = 0; nizKarata[PozicijaKarte] != K; ++PozicijaKarte);

    if (PozicijaKarte == n - 1)
    {
        PozicijaKarte = 0;
    }
    else
    {
        PozicijaKarte++;
    }

    printf("%d", nizKarata[PozicijaKarte]);
}